> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hard-delete a file



## OpenAPI

````yaml /api-reference/mobilerun-va-chat.yaml delete /agents/files/{fileId}
openapi: 3.1.0
info:
  title: Mobilerun VA Chat
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /agents/files/{fileId}:
    delete:
      tags:
        - Files
      summary: Hard-delete a file
      operationId: filesDelete
      parameters:
        - in: path
          name: fileId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    enum:
                      - true
                    type: boolean
                required:
                  - ok
                type: object
          description: Deleted
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
          description: >-
            Not found (also used when caller is not owner to avoid ID-existence
            leak)
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const file = await
            client.files.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(file.ok);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            file = client.files.delete(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(file.ok)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````